## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ClearFunctor Template Struct Reference

Functor to call a clear() member function on its argument. More...

`#include <STLHelper.hpp>`

Inheritance diagram for ClearFunctor

Collaboration diagram for ClearFunctor:

List of all members.

## Public Types

- typedef std::unary_function<
  Type, void> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type
- typedef Type value_type

## Public Methods

- result_type operator() (argument_type& theArg) const
    Retrieve the value of a key-value pair. More...

## Detailed Description

### template<class Type> template struct ClearFunctor

Functor to call a clear() member function on its argument.

## Member Typedef Documentation

template<classType>
typedef std::unary_function<Type, void> ClearFunctor<Type>::BaseClassType

template<classType>
typedef BaseClassType::argument_type ClearFunctor<Type>::argument_type

template<classType>
typedef BaseClassType::result_type ClearFunctor<Type>::result_type

template<classType>
typedef Type ClearFunctor<Type>::value_type

## Member Function Documentation

template<classType>
result_type ClearFunctor<Type>::operator() ( | argument_type & theArg ) const`[]`

Retrieve the value of a key-value pair.

Parameters:

  thePair | key-value pair

Returns:
  value

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.